Enable Webhook
curl --request POST \
--url https://api.loyalty.dog/v2/webhooks/{webhookId}/enable \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/webhooks/{webhookId}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/webhooks/{webhookId}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Webhooks
Enable Webhook
Enable a webhook and verify its endpoint by sending a verification token.
- webhook:
Webhook- The webhook instance loaded by webhook ID.
Returns: dict - The updated webhook information if enabled successfully, otherwise an error message.
POST
/
v2
/
webhooks
/
{webhookId}
/
enable
Enable Webhook
curl --request POST \
--url https://api.loyalty.dog/v2/webhooks/{webhookId}/enable \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/webhooks/{webhookId}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/webhooks/{webhookId}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
